Misinformation when intending to download the 64-bit edition

Bug #585940 reported by Mark Curtis on 2010-05-26
438
This bug affects 90 people
Affects Status Importance Assigned to Milestone
ubuntu-website-content
Undecided
Gerry Carr
Nominated for Trunk by BLaZuRE

Bug Description

On the Ubuntu download page, no clue is given for why the 32-bit edition is marked as recommended; but not the 64-bit one. Users interested in taking advantage of 64-bit architecture are leaded to the conclusion that it's possible the 64-bit edition of Ubuntu has tangible disadvantages, and perhaps Ubuntu itself.

By specifying in the documentation the 64-bits edition is the recommended one for most 64-bit computers doesn't address the issue, since the absence of the recommendation mark in the download page implicitly means the 64-bit is not recommended; so information given in the download page is in contradiction with that given in the documentation.

Evan Boldt (echowarp) wrote :

I don't like the phrase "not recommended" either.

I understand the need to emphasize that 32 is likely the best choice.

Maybe say 32 "Works for most computers" and that 64 is "Only for new computers".

SDonatas (sdonatas) wrote :

Completely agree with you. From present marketing perspective, maybe for new users 32 bit version would be better, just because it is less buggy (at least some people say, but I not feel that) and for 32 bit versions it is easy to install native codecs, flash, adobe air, restricted extras etc, But 64 bit is the future and therefore strategically this version is more important for ubuntu community and (hope so) canonical. Even on computers bellow 4 GB ram potential speed, stability and security advantages could be received on specifically implemented programs. And I agree apple is a good example, they are at the top of the innovation within OS industry and at least for now they clearly show what is the future. Therefore for those reasons, users with 64 bit ready machines should be encourage to choice 64 bit OS version, rather than 32 bit OS.

Changed in ubuntu-website:
importance: Undecided → Wishlist
status: New → Triaged
Bilal Akhtar (bilalakhtar) wrote :

I was going to file a bug for this, when I noticed it. This looks really a discouragement for new users.

oldos2er (oldos2er) wrote :

 I would really like to know Canonical's reasoning for having this message on the download page. I've been using 64-bit Ubuntu for two years, and it's been mostly stable and reliable for that entire time. What, if anything, is new and different about 64-bit 10.04 that makes it "not recommended"?

Kent Seaton (spr0k3t) wrote :

Most computers made these days are capable of 64bit. The two (32bit and 64bit) should be listed as equals. I would even encourage the use of 64bit if the computer system in question is capable of handling 64bit.

yacwroy (yacwroy) wrote :

IMO 32-bit will become obsolete within the next decade.
While there's little difference (some + some -) between 32 and 64 for most users, I believe having more people using 64 now is better for the community in the long term.
Shifting users from 32 to 64 will also shift bit-specific support and development (eg kernel) from 32 to 64, increasing the quality of 64, albeit at the expense of 32. Since 64 is the future and almost every 32 user will switch to 64 at some point, we should prioritize it.

As demand for 64 increases, the competition will be between Windows 64 and Linux 64. The more focus here on 64, the more users we'll get once 64 becomes the norm.

Myself, I've used 64 bit for 3+ years and the only problem is Adobe not supporting 64 bit for their proprietary flash, and the 32-bit wrapper crashing, although I think this is fixed now.

IMO, this warning is quite harmful and totally unnecessary.

I'd recommend rewording it to something like this:

64 bit: For all 64-bit capable systems (default).
32 bit: For those without a 64-bit capable system. (3+ years old).
(Check <here> to see if your system is 64-bit capable).

David Clayton (dcstar) wrote :

That message is pointless as well as inaccurate and misleading, all it will do is give Ubuntu a reputation of not being suitable for use on state of the art hardware.

It is bad enough on the forums with people bad-mouthing certain distros/apps because "they had a problem" 5 or 6 years ago and continue to attack them with outdated and erroneous views, but to have this sort of thing on an official Ubuntu site is unacceptable.

kimus (kimus) wrote :

For the past couple of years I always installed the 64bit version. Works very well. There was some initial problems with Flash (and also Java) but I think that was corrected. But yes, there's some apps (mostly closed sourced) that do not work well in 64bits and it's a bit hard to fix the problem.

So I do not agree with the "64-bit - Not recommended for daily desktop usage" message but could be more like: "64-bit - Recommended for computers that support it (warning: some applications still run in 32bit mode)" (or something like this).

Jorge Suárez de Lis (ys) wrote :

I also don't agree with the message. The most annoying thing is that there's no explanation for that non-recommendation. And nobody seems to undertstand it either.

Same here. I'm typing this comment on the 64bit version right now!

Kris Stewart (kris26) wrote :

64bit seems to have more flash/compatibility issues then 32bit, but if you are at least a power user you should be able to Google up a quick terminal remedy. I would recommend 32bit Ubuntu to all other basic users to avoid issues.

Just because there are a tiny bit of flash problems doesn't mean the whole OS should be 'not recommended.'

Terje Andre Arnøy (terjeaar) wrote :

There seems to be a need form a clear definition for what we mean with a desktop ready OS, and a clearer understanding of why the 64bit is not recommended as an OS. For example, we can't recommend that people with 4gb of ram to use a 32bit OS.

liamdawe (liamdawe) wrote :

I agree with the above poster, it needs to be much clearer.

To use his example we shouldn't have 32bit as recommended for computers with 4GB+ RAM.

It needs to be changed, 4GB RAM in the UK in most shops i look at is becoming standard (3GB is the lowest i can see).

Bilal Akhtar (bilalakhtar) wrote :

Why is this bug marked as "Wishlist" ?
How much time does it take for a Web Presence Team member to change that text? By the time this bug is closed, more than a 100 people who wanted 64-bit would have chosen 32-bit because of that message.

David Clayton (dcstar) wrote :

Agree with post #15, this issue is the proverbial "Low hanging fruit" that can be resolved extremely quickly by a short discussion with whoever has responsibility for that web page.

Please change this bug report to High or Critical. It affects EVERY user, and is subject to mass debate on 32 vs 64 bit. There are no difference in the Ubuntu 32 and 64 bit versions other than the compilation of packages and is EXTREMELY misleading to anyone who wants to download Ubuntu. We should not be steering away potential users on the mistake of a few words.

Roy Jamison
Bug Control

To all commenting on this bug.

The Ubuntu Website has recently undergone a dramatic change as you all know. There is a small but dedicated team of individuals working their way through a significant number of bugs, and they're aware of this one. Whilst the wording on the site may well be clumsy or misleading it doesn't prevent people from downloading the ISO image of their choice.

Also note the last 3 days have been a long holiday weekend for many people working on the project. Lets cut them some slack, please.

ramorrismorris (morris-bob) wrote :

Short: I agree with all the above.

Long:
The central point about 32-bit machines is that a single program cannot address more than 4GB of of memory at all (other than with tricky added hardware and software that is largely now irrelevant). In addition, to keep hardware costs down, consumer machines, especially laptops, reserve some of the RAM for video memory. Sometimes this is even effectively true when there is an added video card with its own memory. In practice, most 32-bit consumer desktop/laptop machines can use about 3.5 GB for programs. By contrast, 64-bit machines can offer several advantages. Among these are (a)they can exploit more than 4GB for program memory (b)many of their instructions can load and execute faster (c)they can compute with larger numbers more immediately, which is usually of little importance except for scientific computing; (d)more programs can remain resident in memory without swapping out to disk, so changing from program to program among several running programs is without noticeable delay. Of course, some of these accrue only if the system actually has more than 4GB of hardware on it, which is rarely true of current consumer-grade 64-bit machines. That will change as memory density increases, in its usual fashion.

In the history of digital computing, as memory addressability went from 8 to 16 to 32 to 64 bits, programming technology has always found a way to exploit the increased memory to increase speed or to dramatically support new kinds of data structures to good effect. It's typical of application programs that if recompiled on a 64-bit machine they can exploit such advantages as above. Only the few that fundamentally touch the hardware, e.g. video, may not be able to, unless the kernel programmers have completely done so at the system level, and the application programmers have not tried to circumvent the O/S for improved performance.

Probably programmers, and perhaps gamers, are typically in need of all of the aforementioned advantages, and probably most people who have such need would be capable of understanding the arguments leading to "not recommended". Whatever those are, one hopes they disappear as 10.4 matures. Meanwhile those who can benefit from 64-bit architecture and have it, would be well-served if they could learn where the sticky points are. I don't want to spend my time nudging early post-beta releases of Ubuntu, but I also don't want my 6GB systems forced back to 4GB. And I am always grumpy when I feel compelled to use more than one version of an O/S, as I do at the moment: 10.4 on my 32-bit machines, 9.10 on my 64-bit machines.

Just to clear up some misinformation. It _is_ possible to address more than 3.2GB on a 32-bit install of Ubuntu.

If you perform a clean install of 9.10 or 10.04 it should detect that you have more than 3.2GB of RAM and install a kernel (PAE) which supports it.

If you upgraded your RAM after installing, or you installed an older version of Ubuntu and then upgraded, you might not have the PAE kernel installed. In that situation just install the package 'linux-image-generic-pae' to address all the available RAM in your computer.

http://packages.ubuntu.com/linux-image-generic-pae

This is a meta package which will pull in the latest PAE kernel for your release. Note this is the current one for Ubuntu 10.04 (Lucid):-

http://packages.ubuntu.com/lucid/linux-image-2.6.32-21-generic-pae

Note from the description: "Geared toward 32 bit desktop systems with more then 4GB RAM."

Note: On some computers this doesn't work, so 64-bit might be better for those people, but for many this does work.

ramorrismorris (morris-bob) wrote :

Alan - Thanks for reminding about PAE; certainly my "other than with tricky added hardware and software that is largely now irrelevant" is wrong as to "tricky" and "irrelevant", since the PAE kernels speak to both. Also, swapping quickly among running programs should be solved by PAE where it is supported. So only my point about a single program being restricted to 4GB is probably relevant. Apologies for so much noise to say that.

Mark Curtis (merkinman) wrote :

64bit has other advantages than just RAM usage. Media encoding is one example and with the inclusion of PiTiVi in 10.04 I would think that would be something users would take advantage of.

SDonatas (sdonatas) wrote :

Ok, lets assume it is a marketing stuff. I guess a majority of new Ubuntu users firstly need an easy explanation about OS choice, and also 32 bit Ubuntu is after all easier to use for new Ubuntu users. And, yes, when I did use 32 bit Ubuntu version on 4 GB machine, there were no issues about RAM support, because PEA kernel was enabled automatically. I agree that those people who would benefit from 64 bit computing (video editing, encoding, ... etc.) would now what it is and will make their own decision. Also there are plenty of people who choice Linux just because they use older hardware, and they would need 32 bit. However it is a bit pity that the biggest effort still goes to 32 bit rather than 64 bit Ubuntu version, while at the same time mac OS x already benefits from 64 bit computing, because all of its applications were rewritten to take the full advantage of 64 bit computing.

p.s.
Some of you have mentioned difficulties with Adobe Flash. I would recommend not to install anything on non-native (32 bit flash) on 64 bit Ubuntu. There is adobe flash x64 beta, which doesn't need to be installed, you just need to copy one file (firefox plug-in from adobes labs site) into one of the file-system's folder (just google it, I'm sure you will find the solution). And who cares about flash anyway, apple just dumped flash and industry will follow the lead as usual. HTML5 works much better than flash, no crashes, smooth scrolling, one rich fully integrated mark-up language. Lets hope Firefox will be introduced to Ubuntu with HTML5 support, or Chromium will be tweaked to become standard Ubuntu browser.

Mark Curtis (merkinman) wrote :

p.s. HTML5 != video without flash. Both HTML5 and Flash have diverse feature sets, a lot of which don't overlap. Even if overnight Youtube and every other video site on the planet switched to <video> using WebM, Flash would still be around for things like games and full flash websites.
Also, as right of right now NO Browser has 100% HTML5 support because it's currently impossible to do so. The spec is a work in progress and isn't finalized yet.

goto (gotolaunchpad) wrote :

So, is ubuntu no longer suitable as an OS for modern PCs? I was about to download Ubuntu 64-bit, but the warning scared me off completely.

David Clayton (dcstar) wrote :

Just too hard to read the comments, eh?

Ioannis Vranos (cppdeveloper) wrote :

I changed the bug status so as it gets attention. This is a major issue. The description needs to be fixed, or clarified why Ubuntu 10.04 x64 is "Not recommended for daily desktop usage".

Changed in ubuntu-website:
status: Triaged → Confirmed

Well what you have done in effect is lower the status, and even though I am Bug Control I do not have the ability to change it back to the proper, and higher 'Triaged' status. Please leave these things alone unless you have read the triaging guides and are a member of the required groups, i.e. Bug Squad or Bug Control. Thank you.
I will try to get hold of Chris to see if he can change it back.

Changed in ubuntu-website:
status: Confirmed → Triaged
Chris Johnston (cjohnston) wrote :

This bug is currently being further investigated by the website team to determine if it is something that should be changed, and if so, how it should be changed. There are a number of reasons that are valid both for it being changed and not being changed. Points have already been made for reasons to change it. I will make a few points for reasons not to change it. Please note: I'm not saying I agree with not changing it, I am only providing the other side of the coin.

 - A 32 bit install will work on a 64 bit machine. A 64 bit install will not work on a 32 bit machine.
 - 32 bit machines are still being sold in retail stores, so it is more than just phasing out the machines that are currently out there.
 - Possible issues with flash and firefox, and possibly even other applications when running 64 bit.
 - Possible issues with drivers when running 64 bit.

Please be assured that a solution is trying to be found, but know that it may not come as quickly as some would like. For the time being, please do not change the status of this bug as it is currently set at its correct status. I will try to keep this bug updated if there are any changes as research is done.

oldos2er (oldos2er) wrote :

 There's such a thing as consistency.

 I understand these reasons. " - A 32 bit install will work on a 64 bit machine. A 64 bit install will not work on a 32 bit machine. - 32 bit machines are still being sold in retail stores, so it is more than just phasing out the machines that are currently out there. - Possible issues with flash and firefox, and possibly even other applications when running 64 bit. - Possible issues with drivers when running 64 bit." and it would've made sense if they'd been on the page since day one. But the "not recommended" text is barely one month old.

 If one visits ubuntuforums.org, specifically looking for the 64-bit users forum, one will find it has been closed for months with the message "The closure of this forums is based on the fact that 64 bit Ubuntu has matured and there are very few 64 bit specific issues."

 Two seemingly official messages, 180 degrees apart.

On Thu, 2010-06-10 at 21:05 +0000, Chris Johnston wrote:
> This bug is currently being further investigated by the website team to
> determine if it is something that should be changed, and if so, how it
> should be changed. There are a number of reasons that are valid both for
> it being changed and not being changed. Points have already been made
> for reasons to change it. I will make a few points for reasons not to
> change it. Please note: I'm not saying I agree with not changing it, I
> am only providing the other side of the coin.
>
> - A 32 bit install will work on a 64 bit machine. A 64 bit install will not work on a 32 bit machine.
> - 32 bit machines are still being sold in retail stores, so it is more than just phasing out the machines that are currently out there.
> - Possible issues with flash and firefox, and possibly even other applications when running 64 bit.
> - Possible issues with drivers when running 64 bit.
>
> Please be assured that a solution is trying to be found, but know that
> it may not come as quickly as some would like. For the time being,
> please do not change the status of this bug as it is currently set at
> its correct status. I will try to keep this bug updated if there are any
> changes as research is done.

Myself am using 9.10 x64, and was planning to move to 10.04 x64 around
October - however I currently have a test 10.04 x64 installation in a
virtual machine.

With 9.10 x64 in my system (laptop Acer Aspire 8920G with NVIDIA
graphics card), Firefox and Flash work OK always, ==> provided that
Appearance Preferences::Visual Effects is set to None.

If there are issues regarding the 64-bit version of Ubuntu 10.04, I
think it shouldn't be available for downloading, but 9.10 x64 should be
offered instead.

However this is up to Canonical to decide, I will not post any further
messages about this.

Just a puzzled user.

Best regards,

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

Rather than comment on the issues, here's a concrete suggestion of some replacement text for the page, to act as a strawman:

"The 32-bit version will run on a wider range of hardware and generally may experience fewer issues, so is a good choice if you want a system that Just Works.

The 64-bit version is only for 64-bit hardware. It may require some knowledge of the issues that can arise on such hardware. Choose it if you feel you will be able to cope but choose 32-bit if you think you may be out of your depth.

See [some suitable page] for a more detailed explanation of the difference between 32 and 64 bit software."

David Clayton (dcstar) wrote :

Apart from the irrelevant comments of what "issues" people *think* that 64-bit Ubuntu "might" have, the bare facts are that for any definition whatsoever of "Daily Desktop Usage" 64-bit Ubuntu 10.04 is more than suitable.

The particular issue of Flash is easily solved by installing the native 64-bit plugin, and any other issues of people not being able to install 32-bit only 3rd party applications by definition means that these particular users are NOT using Ubuntu for "Daily Desktop Usage".

The facts are that for "Daily Desktop Usage" 64-bit Ubuntu is more than suitable, there have been no valid reasons given in this thread to counter that, so why is that obviously erroneous and misleading statement still on the web site?

Mark Curtis (merkinman) wrote :

@David Clayton
Funny you should mention the 64-bit flash plugin since as of yesterday, Adobe discontinued it.
http://labs.adobe.com/technologies/flashplayer10/64bit.html

So if 64-bit users are stuck with the 32-bit one via ndiswrapper isn't that better from Canonical's security standpoint?

Mark Curtis (merkinman) wrote :

I meant nspluginwrapper

David Clayton (dcstar) wrote :

@Merk
Thanks to Adobe removing access to the 64-bit Flash Plugin, now the website statement is more true.

Having just done a test installing the 32-bit plugin on a fresh 64-bit system it is basically crap running inside Firefox (having all the problems other have reported), wiping it out and installing the "old" 64-bit RC plugin provides full Flash functionality.

Mark Curtis (merkinman) wrote :

Yes Adobe doesn't currently make Flash for 64bit, but they don't make any of CS5 for Linux, so I guess Ubuntu as a whole shouldn't be recommended? Or more analogous, there is no Flash at all on iOS yet people have no problem with those devices.

Saying 64-bit is not recommended due to third party problems is a chicken and egg scenario:

Less people use 64-bit because of {insert issue like Flash}...
Maker of {issue like Flash} sees little need to hurry/start 64-bit development since there are so few users...
There are fewer users because of {insert issue like Flash}...
Maker of {issue like Flash} sees little need to hurry/start 64-bit development since there are so few users...

On Sun, 2010-06-13 at 01:29 +0000, David Clayton wrote:
> @Merk
> Thanks to Adobe removing access to the 64-bit Flash Plugin, now the website statement is more true.
>
> Having just done a test installing the 32-bit plugin on a fresh 64-bit
> system it is basically crap running inside Firefox (having all the
> problems other have reported), wiping it out and installing the "old"
> 64-bit RC plugin provides full Flash functionality.

I have Ubuntu 9.10 x64 installed, and I installed Ubuntu's 10.1.53.64
flash update.

After erasing .adobe directory in my home directory, flash plays out of
the box in my system.

I also have set System > Preferences > Appearance > Visual Effects to
None.

May anyone provide a link of a web page, where flash doesn't play in
Ubuntu x64, with the above setting?

Thanks,

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

Data structures in some scripting languages get quite a bit larger on 64-bit systems. Perl, for example, can grow quite alarmingly. If you don't actually NEED 64-bit (and most people do not), then a good case can be made that you should install 32-bit even on 64-bit capable hardware.

David Clayton (dcstar) wrote :

@Ioannis Vranos

"May anyone provide a link of a web page, where flash doesn't play in Ubuntu x64, with the above setting?"

It isn't basic playing, I can see Flash *play* content on a 64-bit 10.04 setup with the steps you have outlined, but right-clicking the Flash box to bring up properties (which all works 100% ok with the 64-bit plugin) locks up Firefox. It is these other things that cause users (rightly) to complain about 64-bit Ubuntu when they think they have done the right thing by installing the official packages.

This happens to me www.afl.com.au and probably on any other site with flash content.

The Ubuntu forums have many people posting problems about using Flash on their 64-bit installs, and the usual fix (the 64-bit plugin) is now gone.

Unfortunately I now have to agree that people install 32-bit for "Daily Desktop Usage" because of this one issue which I consider (playing common web content) is certainly part of that definition for most Ubuntu users.

On Sun, 2010-06-13 at 23:11 +0000, David Clayton wrote:
> @Ioannis Vranos
>
> "May anyone provide a link of a web page, where flash doesn't play in
> Ubuntu x64, with the above setting?"
>
> It isn't basic playing, I can see Flash *play* content on a 64-bit 10.04
> setup with the steps you have outlined, but right-clicking the Flash box
> to bring up properties (which all works 100% ok with the 64-bit plugin)
> locks up Firefox. It is these other things that cause users (rightly) to
> complain about 64-bit Ubuntu when they think they have done the right
> thing by installing the official packages.
>
> This happens to me www.afl.com.au and probably on any other site with
> flash content.
>
> The Ubuntu forums have many people posting problems about using Flash on
> their 64-bit installs, and the usual fix (the 64-bit plugin) is now
> gone.
>
> Unfortunately I now have to agree that people install 32-bit for "Daily
> Desktop Usage" because of this one issue which I consider (playing
> common web content) is certainly part of that definition for most Ubuntu
> users.

The above site doesn't use Adobe Flash, but Microsoft Silverlight.

Probably you have Moonlight installed, and you think you are seeing a
Flash video, but you actually see a Silverlight video.

If you check youtube, you will see Flash properties working OK.

So, the problem you mentioned is a bug of Moonlight.

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

"The above site doesn't use Adobe Flash, but Microsoft Silverlight. Probably you have Moonlight installed, and you think you are seeing a Flash video, but you actually see a Silverlight video."

That may be so, but the site prompts for Flash install on first run inside a fresh install, and then prompts for Silverlight/Moonlight plugin install after that.

When all those steps are completed (auto-installing the 32-bit flash and then manually selecting the X64 Moonlight plugin) viewing a video and then right-clicking properties in the video window locks up Firefox. Replace the 32-bit Flash with the 64-bit Flash and doing right-click works correctly.

The bottom line is that the 64-bit Flash plugin functions as it is supposed to and the 32-bit one doesn't.

On Mon, 2010-06-14 at 04:23 +0000, David Clayton wrote:
> "The above site doesn't use Adobe Flash, but Microsoft Silverlight.
> Probably you have Moonlight installed, and you think you are seeing a
> Flash video, but you actually see a Silverlight video."
>
> That may be so, but the site prompts for Flash install on first run
> inside a fresh install, and then prompts for Silverlight/Moonlight
> plugin install after that.
>
> When all those steps are completed (auto-installing the 32-bit flash and
> then manually selecting the X64 Moonlight plugin) viewing a video and
> then right-clicking properties in the video window locks up Firefox.
> Replace the 32-bit Flash with the 64-bit Flash and doing right-click
> works correctly.
>
> The bottom line is that the 64-bit Flash plugin functions as it is
> supposed to and the 32-bit one doesn't.

I just checked the site http://www.afl.com.au with Ubuntu 10.04 x64,
Ubuntu 9.10 x64, and Ubuntu 9.10 x86, having installed the latest Adobe
Flash (version 10.1.53.64) and Moonlight (version 2.2), and the results
are the following:

Ubuntu 9.10 x64, Ubuntu 10.04 x64:

The flash video does not play, and Firefox hangs on right-click.

Ubuntu 9.10 32-bit:

The flash video does not play, but right-click works.

Bottom line, at the above site, flash videos don't play either in 32-bit
or 64-bit Ubuntu. I think the above site is a mess regarding this.

I consider youtube as a reliable site to check flash videos.

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

Ioannis Vranos (cppdeveloper) wrote :

On Mon, 2010-06-14 at 16:58 +0300, Ioannis Vranos wrote:
> On Mon, 2010-06-14 at 04:23 +0000, David Clayton wrote:
> > "The above site doesn't use Adobe Flash, but Microsoft Silverlight.
> > Probably you have Moonlight installed, and you think you are seeing a
> > Flash video, but you actually see a Silverlight video."
> >
> > That may be so, but the site prompts for Flash install on first run
> > inside a fresh install, and then prompts for Silverlight/Moonlight
> > plugin install after that.
> >
> > When all those steps are completed (auto-installing the 32-bit flash and
> > then manually selecting the X64 Moonlight plugin) viewing a video and
> > then right-clicking properties in the video window locks up Firefox.
> > Replace the 32-bit Flash with the 64-bit Flash and doing right-click
> > works correctly.
> >
> > The bottom line is that the 64-bit Flash plugin functions as it is
> > supposed to and the 32-bit one doesn't.
>
>
> I just checked the site http://www.afl.com.au with Ubuntu 10.04 x64,
> Ubuntu 9.10 x64, and Ubuntu 9.10 x86, having installed the latest Adobe
> Flash (version 10.1.53.64) and Moonlight (version 2.2), and the results
> are the following:
>
>
> Ubuntu 9.10 x64, Ubuntu 10.04 x64:
>
>
> The flash video does not play, and Firefox hangs on right-click.
>
>
> Ubuntu 9.10 32-bit:
>
> The flash video does not play, but right-click works.

Whether we can call it "flash video". Probably it is silverlight or
something.

> Bottom line, at the above site, flash videos don't play either in 32-bit
> or 64-bit Ubuntu. I think the above site is a mess regarding this.
>
>
> I consider youtube as a reliable site to check flash videos.

I also checked the site with Windows Vista 32-bit, using Firefox 3.5.9,
Google Chrome 5.0, and Internet Explorer 8.0

Flash/Silverlight/whatever-it-is video, doesn't work with them too.

Messy site.

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

This does seem rather sub-optimal. If it's not recommended, why do we even offer it on the front page? I would like to get some input from the design team. Subscribing ivanka.

David Clayton (dcstar) wrote :

@ Ioannis

Yes, it is a woeful site, until recently no Linux platform would work in it at all for video - it was IE & Windows Media Player or nothing. At least now it does work in some manner on Linux.

But the point is that your average Windows user expects Ubuntu to work the same with most (if not all web sites) they previously accessed ok, and if they download 64-bit Ubuntu and this doesn't happen - well, that makes the recommendation valid.

Mark Curtis (merkinman) wrote :

@ David Clayton
But Ioannis says the site doesn't work fully in 32bit either, so by that logic Ubuntu shouldn't be recommended at all.

David Clayton (dcstar) wrote :

@Merk

I can open that site in a fresh 32-bit 10.04 install in Firefox, be prompted to install the Flash plugin (and then install the Adobe one) and then install the Moonlight plugin and the site plays videos just fine.

This is exactly what a normal user would expect and they would be satisfied that it all worked as it should.

I get the same functionality on 64-bit with the 64-bit Flash plugin but not with the ndiswrapper option using the 32-bit plugin.

On Wed, 2010-06-16 at 03:37 +0000, David Clayton wrote:
> @Merk
>
> I can open that site in a fresh 32-bit 10.04 install in Firefox, be
> prompted to install the Flash plugin (and then install the Adobe one)
> and then install the Moonlight plugin and the site plays videos just
> fine.
>
> This is exactly what a normal user would expect and they would be
> satisfied that it all worked as it should.
>
> I get the same functionality on 64-bit with the 64-bit Flash plugin but
> not with the ndiswrapper option using the 32-bit plugin.

Did you try with the new flash update? I made a 32-bit installation of
Ubuntu 10.04 32-bit, installed the latest flash from the repositories,
installed Moonlight 2.2 from its web site, however videos don't play in
that site.

For example this video doesn't play:

http://bigpondvideo.com/NewsOnDemand/?ref=Net-Head-TV-News

Perhaps what you are saying was happening with the old flash. With the
new flash the site's videos don't play even under Windows Vista 32-bit.

I think this is a messy site, to use it for our tests.

In summary, that site's videos don't work for me, even under Windows.

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

People, this bug is NOT about Flash working or not. Please take such discussions elsewhere. Thank you!

I agree with kimus
@Fabián Rodríguez
Ubuntu is a major desktop distribution aiming for mainstream consumption. just as whether flash on the Iphone matters to the users, I believe that flash support can be relevant in this discussion especially because there is no official support from the flash developers for 64bit.

Moreover to me, lack of flash support conveys the following messages:
1. developers might require separate development efforts to support 64bit
2. the developers might not see the need/lack the resources required to support said separate development efforts

1+2 says that there might be other non-trivial applications that lack 64bit support

In conclusion, I support the current state of recommending 32bit over 64bit, however I do agree that the "not recommended" wording. It should really convey the the consequences of (which are not necessarily all detrimental) a 64bit OS.

Mark Curtis (merkinman) wrote :

@Seung Soo, Ha

So I guess 64bit shouldn't be recommended for Windows or Mac either since no 64bit plugin exists on ANY platform?
Also, any smartphones OS other than Android 2.2 shouldn't be recommended either due to a lack of Flash?

Worth noting that we're actually confusing users by giving conflicting advice. This bug shows that ubuntu.com 'does not recommend' 64-bit computing, yet the community documentation says:-

"Unless you have specific reasons to choose 32-bit, we recommend 64-bit."

"https://help.ubuntu.com/community/32bit_and_64bit#What should I choose - 32 or 64 bit?"

Whilst I appreciate it's community docs that anyone can edit, this URL gets given to people in #ubuntu and as such is confusing. Please can we get this sorted one way or the other. What do "we" recommend?

Tom Pino (metalsmith-rangeweb) wrote :

All these arguments are great but the bottom line is - Just get rid of that silly notice.

On Sat, 2010-07-03 at 05:35 +0000, Tom Pino wrote:
> All these arguments are great but the bottom line is - Just get rid of
> that silly notice.

I totally agree.

In case Ubuntu 10.04 is not suitable for everyday use, then do not
provide it.

This is seriously harming the distribution's reputation. All new
notebooks/PCs have 64-bit CPUs and > 3 GiB RAM, and the first OS people
look, either Windows or Linux, is the 64-bit version.

I really wonder why a solution hasn't been provided for this. The longer
the situation remains, the worse for Ubuntu Linux.

Fix it ASAP!

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

Its just causing confusion and a LOT of users asking time and time again.

Its most likely because 32bit runs on most 64bit CPUs due to 32bit emulation in the chips. Some manufacturers (Lexmark for example) do not make debs for their hardware in 64bit. Some games are also only 32bit (Dark Lore Horizon is one example here) but they can be ran using ia32-libs but then the user must manually grab debs for .so file to put into /usr/lib32

Yes what they say is kinda right but it's causing a bit stir and irking new users which is what Ubuntu is aimed at. Can we stop this nonesense.

@merk
well, I would point out that there are native flash plugins for most supported OS and versions
(http://www.adobe.com/products/flashplayer/systemreqs/, not listed but except for linux 64-bit, most 32-bit and 64 bit version of an OS(where applicable) are supported. Also, I can see that Palm webOS and Symbian™ S60 are supported too)
But that is not the point.

What I am trying to say is all mainstream computers that can run amd64 ubuntu (the average 'Joe' desktop) can run x86 ubuntu too. So its not about choice of hardware, but software.
Considering that we are trying to appeal to a mass audience who may not understand the compatibility issues, why not offer the most compatible one as the most recommended one?

After all, we are not forcing a decision between an IPhone and an Android are we?

Offering the most compatible one as the recommended one is fine by me.
But the current wording has a negative, bad tone to it. Saying that
64bit is not recommended just sounds wrong. I think it would sound a lot
better if it had a more positive spin to it like saying 32bit is
recommended, and perhaps not saying anything about the recommendation
status of 64bit. If a user is specifically looking for 64bit I'm sure
they would be a slightly more advanced user who would be able to handle
the very few setbacks of 64bit.

On 07/05/2010 09:04 PM, Seung Soo, Ha wrote:
> @merk
> well, I would point out that there are native flash plugins for most supported OS and versions
> (http://www.adobe.com/products/flashplayer/systemreqs/, not listed but except for linux 64-bit, most 32-bit and 64 bit version of an OS(where applicable) are supported. Also, I can see that Palm webOS and Symbian™ S60 are supported too)
> But that is not the point.
>
> What I am trying to say is all mainstream computers that can run amd64 ubuntu (the average 'Joe' desktop) can run x86 ubuntu too. So its not about choice of hardware, but software.
> Considering that we are trying to appeal to a mass audience who may not understand the compatibility issues, why not offer the most compatible one as the most recommended one?
>
> After all, we are not forcing a decision between an IPhone and an
> Android are we?
>
>

philinux (philcb) wrote :

A lot of new users have 64 bit machines and 4 gig memory and ask why they can only see 3gig. This comes up quite a bit at the forums ubuntuforums.org

Also people ask about the wording on the website asking for clarification.

The wording on the website could be better.

Matthew Nuzum (newz) on 2010-07-07
affects: ubuntu-website → ubuntu-website-content
Changed in ubuntu-website-content:
importance: Wishlist → Undecided
assignee: nobody → Birgit Oberlerchner (birgit-oberlerchner)
status: Triaged → Confirmed
Gerry Carr (gerry-carr) wrote :

Hi there,

Here is the official explanation. We revisit the download pages with each release. The goal of the download pages it to make it as simple as possible for the average non-technical user to get the right version. There are software compatibility issues with 64-bit that makes it less suitable for the mass market than 32 bit. We took the view that 64-bit computer users will know that and proceed with downloading the correct version for them. Strongly advising people in one direction we felt would mean fewer people having issues ultimately. A non-technical user might for instance think 64-bit must be twice as good as 32-bit.

I accept that the wording could be interpreted negatively. We will revisit when we update these pages for the 10.10 release. We will also take on board explaining some more about why we make the recommendation which is reasonable and helpful.

So thank you all for the energy. I am going to close this bug.

Gerry Carr - Head of Platform Marketing

Ioannis Vranos (cppdeveloper) wrote :

I am sorry, but I have to say that if I was a regular user not knowing the things I know, and with no will for trying out Ubuntu, I would move to another distribution "which has not the problems that Ubuntu 64-bit has, like Fedora 13 x64 or openSUSE 11.2".

We must think in terms of the competition. The competition does not mention any problems with the 64-bit version.

For example. check here:

http://software.opensuse.org/112/en

Even myself am not entirely sure if the Ubuntu 10.04 x64 has more issues than the competition, or not, because I am confused by the Ubuntu's text "64-bit - Not recommended for daily desktop usage". Are there any issues with 10.04 x64, that 10.10 will not have?

Must I wait till 10.10 x64 to migrate to the newest version, from 9.10 x64 I am using now?

Personally I do not know. I imagine the frustration of the less experienced Ubuntu users.

This situation is harming Ubuntu's reputation seriously. Once Ubntu gets a bad name, it will be very hard to recover.

So I see 2 solutions:

Whether Ubuntu 10.04 x64 is more problematic than the competition, remove it and make available only 9.10 x64. If it has not any additional problems than the competition (like Fedora or openSUSE), then change the text similar to the competition:

32-bit version, 64-bit version.

I consider the matter really important, so my approach is: Fix the issue now!

Thanks.

Matthew Nuzum (newz) wrote :

If a SuSe user downloads the 64b version they will experience the same challenges an Ubuntu user will face. The only difference is that we make an effort to warn people before they download the ISO.

Based on the feedback of the Ubuntu engineering team we do not think it's wise to recommend the 64b version.

The issue that needs to be fixed is not that the website properly warns people, the issue is that 64b doesn't work as well as 32b for most people. If you feel passionate about please focus your energy towards giving users an equally great experience in both platforms.

Changed in ubuntu-website-content:
status: Confirmed → Won't Fix
oldos2er (oldos2er) wrote :

"Strongly advising people in one direction we felt would mean fewer people having issues ultimately."

 No, people come to ubuntuforums.org and ask what's wrong with 64-bit that it isn't recommended. If you've never visited the forums, you might want to to get some first-hand experience on the questions new users have.

 "There are software compatibility issues with 64-bit that makes it less suitable for the mass market than 32 bit."
Can you be more specific about these issues? And why they didn't exist prior to 10.04?

 "Based on the feedback of the Ubuntu engineering team we do not think it's wise to recommend the 64b version."
Again, can you be specific? Feedback on what, exactly?

 It's very disappointing that this won't be fixed.

Changed in ubuntu-website-content:
assignee: Birgit Oberlerchner (birgit-oberlerchner) → Gerry Carr (gerry-carr)
Gerry Carr (gerry-carr) wrote :

I have changed the status to opinion. I did not mean to kill the debate if people are interested in pursuing it. It will certainly feed into the changes we make in October.

Changed in ubuntu-website-content:
status: Won't Fix → Opinion

I wouldn't recommend 64bit to anyone for the fact that Flash is crap in 64bit Linux. The PAE kernel has the ability to utilize more than 4GB RAM, not that Linux needs that much, and more of the third party programs only work on 32bit OSes.

bwallum (rbw2) wrote :

'Numb Nuts' was the expression that first sprang to mind upon seeing the recommendation that 64bit Ubuntu is not for everyday use.

As far as I am aware the ability of processors to handle simultaneous bits has been progressive. A bit like evolution (as in life not mailing programme). We can't go back to being Neanderthals even if we wanted too.

Why on Earth are we putting users off with their sparkly 64bit machines by recommending that Ubuntu 64bit is not for everyday usage??

bwallum (rbw2) wrote :

....and my 64bit flash works fine thank you! (albeit really 32 bit with a built in 64bit interface - hence slower than a true 64bit - that's Adobe's problem)

On Thu, 2010-07-08 at 18:41 +0000, running_rabbit07 wrote:
> I wouldn't recommend 64bit to anyone for the fact that Flash is crap in
> 64bit Linux. The PAE kernel has the ability to utilize more than 4GB
> RAM, not that Linux needs that much, and more of the third party
> programs only work on 32bit OSes.

I am using Ubuntu 9.10 x64, and Adobe Flash works out of the box here
(provided that System::Preferences::Appearance::Visual Effects is set to
None).

The only problems are with MS Silvrelight sites.

I suppose all these apply to Ubuntu 32-bit too.

May you provide a web site where flash doesn't work with Ubuntu x64, but
it works with Ubuntu x86?

Thank you.

The problem here is that the text sounds bad and there's no further explanation. You should:

* Either change the text caption,
* or add an explanation on why it's "not recommended", so everybody will understand.

David Clayton (dcstar) wrote :

"The problem here is that the text sounds bad and there's no further explanation."

Yep, and that is the nub of this issue and the "explanation" as to why this won't change.

This is the classic "trust us" mind-set of tech-heads who have no idea that people these days actually want to be treated like adults and require an explanation rather than yet another statement based on numerous underlying assumptions that essentially patronise anyone reading it.

Guess what?, people want tools (like Ubuntu) that aren't based on the arrogant "We know what's good for you, so shut up and do what you are told" attitude that is one of the prime reasons people want to leave Microsoft and their products.

Either put a full explanation of *why* that recommendation is made on the website or be condemned as yet another tech organisation that treats ordinary users with the same contempt that they have "enjoyed" from the IT industry for decades now.

Oh, and before anyone gets their noses totally out of joint, I have been in the IT industry for decades and have been as guilty as many others in doing that sort of thing, but those days should be long gone now.

Fabián Rodríguez (magicfab) wrote :

I think the general consensus is 64-bit in Ubuntu needs some love and less confusion.

I'd invite anyone interested in improving the current situation to check the following resources, **make them known through your online & social networks** and possibly join them:

Freenode IRC channel (##ubuntu-64-bit on Freenode):
http://webchat.freenode.net/?channels=%23%23ubuntu-64-bit

64-bit Ubuntu users team in Launchpad (and Wiki):
https://edge.launchpad.net/~64-bit
https://wiki.ubuntu.com/64BitTeam

Answers and FAQ project:
https://answers.edge.launchpad.net/64-bit

Ubuntu forums 64-bit user group:
http://ubuntuforums.org/group.php?groupid=258

Ioannis Vranos (cppdeveloper) wrote :

In the days where all new computers are 64-bit, Ubuntu 64-bit "is not recommended for daily desktop usage".

What a joke.

I am sorry, but I don't see much future for Ubuntu. I hope I am wrong.

bwallum (rbw2) wrote :

#66 Gerry, October is too late. You are doing serious harm to Ubuntu's credibility. You must reconsider. Just go and talk to a few random 64bit users, they'll tell you the recommendation is way off the mark. Why are you being so destructive? A lot of good people put a lot of effort into making Ubuntu work and you are seriously letting them down.

oldos2er (oldos2er) wrote :

 "I'd invite anyone interested in improving the current situation to check the following resources"

 Great links, but it still doesn't change Canonical's "not recommended..." Still waiting for em explanation.

BLaZuRE (blazure) wrote :

I too was confused by the wording. I've had Ubuntu Desktop (32-bit) installed for a while. I just got a new x64 netbook (yes netbook). I hesitated getting the 64-bit because of the wording, but I've been doing research for the past hour on why on Earth Canonical would NOT recommend 64-bit.

A better phrasing would be:
32-bit (Recommended) or 32-bit (Common)
64-bit (For Advanced Users)

There are many different different architectures (mips, sparc, etc.).

Just because I recommend eating 7 servings of fruits & veggies every day doesn't mean I DON'T recommend eating grains and cheese.

Also, if you're lactose-intolerant, you should know what you're doing. Just because people are lactose intolerant doesn't mean I can write:
Fruit Salad
Cheese Sandwiches (Not Recommended).

Right now, Canonical is doing more harm than good. People who don't know will probably choose defaults or what's recommended. People who are knowledgeable are being misled towards other distributions like Debian or Fedora which appear to have a x64 version that's working.

I've been using 64bit ubuntu since hardy with no problem at all. I do believe this is wrong too.

Mark Curtis (merkinman) wrote :

I think a lot of people should read this thread in the Ubuntu Forums
http://ubuntuforums.org/showthread.php?t=1526391

Not so much to try and convince those in charge that 64bit should be recommended, though that would be nice, but to show that the current wording is confusing regardless of intention.
If you look at the subjects of the posts, you'll see that the thread has merged with quite a few other threads started by people confused by the website's text.

Miroslav Hadzhiev (xtigyro) wrote :

The message is not correct and proper but it's true.

Every desktop-oriented user uses Firefox and Adobe Flash. And Adobe Flash is not supported on 64-bit systems so it has to be emulated through wrappers in order to work on 32-bit systems.

Well, Adobe Flash is a piece of software of very poor quality even on 32-bit systems but on 64-bit it is AWFUL, BUGGY AND EXTREMELY DISTURBING EXPERIENCE.

I've Intel Core 2 Duo T7200 (2 x 2 GHz) and nevertheless, I DOWNGRADED to the 32-bit Ubuntu version. And I really did NOT WANT to do so. However, I'm a true desktop-oriented only user. I use Firefox and Flash all the time.

I believe that there should be a different message pointing out why 64-bit Ubuntu is not fine for desktop use. There should be a notice that Adobe Flash does not provide 64-bit support and that's the main reason why the whole 64-bit Linux is not recommended for desktop use.

After all we and the Ubuntu developers and contributors complain about the poor Adobe Flash quality but does NOT want to state it clearly. However, this is the right way to make Adobe reconsider its politics.

Common Canonical, common Ubuntu! DO NOT BE AFRAID!

Ioannis Vranos (cppdeveloper) wrote :

Just to check competition:

Microsoft Touts 64-Bit Adoption of Windows 7:

http://www.windowsitpro.com/article/paul-thurrotts-wininfo/Microsoft-Touts-64-Bit-Adoption-of-Windows-7.aspx

Thomas Crescenzi (raysdad2000) wrote :

I would agree that for your average non-technical user, dissuading them from 64-bit is probably a wise decision, and that people "in the know" would probably just download the 64-bit version anyway (as I did).

About the only problem I've been having as a daily annoyance with 64-bit Ubuntu has been the Flash issue. To put it bluntly, nspluginwrapper is evil. I just switched over from an Arch install where I was using the 64-bit Flash plugin (knowing the security risks, but going with it anyway) and it worked reasonably well. Having spent a few weeks with nspluginwrapper on my Ubuntu64 install, I've been going mad trying to deal with wholesale browser slowdowns when opening multiple tabs containing Flash content in both Firefox and Chromium, not to mention the random crashes where the Flash would disappear from the page altogether and require a reload. Mind you, this is not an extraordinary thing. This is something that your average web user does several times a day every day.

How I solved this? Not by switching to a 32-bit Ubuntu, but by doing a dkpg --force-architecture -i of Google's Chrome i386.deb, which I downloaded from Google's Chrome web page. Works flawlessly. Now Flash works as well as it does on Windows (gasp!), actually probably better. No problems with integration, either because the 32-bit Chrome can even be used as my default browser in my 64-bit GNOME desktop, apparently without any problems (so far).

I wonder if this might not be a good suggestion for 10.10, that Ubuntu package 32-bit browsers by default in the 64-bit install. I honestly don't see why a browser would need access to more than 4GB of RAM, and the plus side is you are still running in long mode so you get the extra registers and other advantages of 64-bit as well while running a 32-bit browser.

Just for a bit more feedback... I was just considering switching back to Ubuntu from OpenSUSE because of Ubuntu's vastly more abundant software repositories... But then I see this "64-bit - Not recommended for daily desktop usage" and my immediate thoughts are: What's wrong with Ubuntu? Is there a problem with it? Maybe I shouldn't use it after all. After all, I've been using OpenSUSE 64-bit, both 11.2 and now 11.3, and while I have had some annoyances with getting one or two programs work (ie Skype and anything related to Adobe), the 64-bit version seems to run dramatically better and faster on my 2-3 year old 4 GB ram Intel HP laptop. My next thoughts are: Why, pray tell, is it not recommended? And I can't find a word of explanation anywhere on the page. I agree with previous posters--this just makes Ubuntu look bad, and to do it without any explanation just seems reckless.

jojje (jtidell) wrote :

It's incredibly stupid to have that warning on the download page if all it affects is the ad-viewer known as Adobe Flash.
I had to use google search to find this bug report before I realized that it's *one component*, a sh*tty one at that which led you to put that frightful warning on the page.

Am going to download the 64-bit version now since I don't give a rat's *ss about Flash.

I would also urge you to rephrase the comment from the current scare-warning to "Does not support Adobe Flash and certain other proprietary drivers".

Slaughtz (zathguls) wrote :

I just thought I'd comment on my experience with that warning, as a current Windows user and for the first time considering and actually intending to follow through on giving Linux a try for the first time. I'd say I'm decent enough at troubleshooting problems I have with my computer, having built one myself.

The first time I saw that warning, I immediately questioned if the 64 bit version is so completely new and buggy that in comparison, what came to mind could best be described as thinking that 64 bit is a wretched, wrinkly, and frail grandma in performance, ease of use, and overall stability; while 32 bit is something only "better than that". Essentially, it made me question even the quality of the 32 bit version, even after hearing from so many how great Linux is.

The impact of the statement is large, as I am considering trying something different than Ubuntu now. The impact would have been much less if you said "Recommended only for advanced users." instead of implying that the whole operating system is going to practically fall apart and crash me while I do something as simple as writing an essay paper, checking my email, or playing some games (aka my "daily use").

That is all.

Changed in ubuntu-website-content:
status: Opinion → Confirmed
Jorge Suárez de Lis (ys) wrote :

Ok, then the text is not misleading. There are some issues. I accept it.

But the people needs more information. And when more information is needed on a website, who you gonnan call? A link. So simple as that. A link to a wiki entry, by example, explaining why the 64 bit version is "not recommended for daily desktop usage".

Alan Bell (alanbell) wrote :

So this is won't-fix for Lucid. Fair enough. What is the proposed wording for Maverick?
Personally I would recommend people installing now use 64bit so that they can keep upgrading forever, even when the 32bit build is discontinued in 2020 or so. (We could start a sweepstake on which will be the last 32bit release). The Intel Atom is a 64bit chip, there might be some 32 bit chips still existing, but I don't know what they are. How about:

32bit (Works well on all computers, including models that are not 64bit capable)
64bit (Recommended for newer computers)

the main issue I have with the Lucid text is the "daily use" part. It kind of implies that it works at weekends or something, but use it too much and you will have problems. That isn't the case, it might not install if you don't have a 64bit capable computer, if it does, it is solid and perfectly good for daily use. 64bit is massively more compatible with random stuff than the lpia architecture was.

Wow, almost got me there... When I read it I was ready to uninstall the 64 bit version I had and go back to 32 bits, fortunately I had the time to dig a little bit and decided to stay 64... It has been a wonderful experience so far!

Neil Clarkson (neilclarkson) wrote :

The community documentation has this recommendation on its 32bit_and_64bit page (last edited 2010-07-29)

"What should I choose - 32 or 64 bit?

Unless you have specific reasons to choose 32-bit, we recommend 64-bit. "

A consistent viewpoint would certainly be better.

IMO it would be useful if the Ubuntu site could make clear that this decision on Ubuntu is a little different from this decision on Windows. On Win7 64 bit works just fine, and almost half the Win7 installs globally to date have been 64 bit (according to Microsoft); conversely the 32 bit version really wont work with memory above 4G. On Ubuntu, there are still some issues with 64 bit (getting 3rd party apps to work IMO) and PAE means that the 32 bit can (in most cases) address the memory above 4G in your system just fine.

I have 64 bit, but I somewhat regret that decision, and if I was choosing again, I suspect I would choose 32 bit.

The line "Unless you have specific reasons to choose 32-bit, we recommend 64-bit." was added by one member of the ubuntu community - https://help.ubuntu.com/community/32bit_and_64bit?action=diff&rev2=20&rev1=19

It's a wiki. If you feel it's incorrect, fix it.

Mark Curtis (merkinman) wrote :

@Neil Clarkson
As has been said before, the advantage of 64-bit is more than just "hey I can use 4GB of RAM"

@Alan Pope
The point of this bug is that the wiki is correct, ubuntu.com is the one that needs to be fixed.

On Fri, 2010-09-10 at 08:44 +0000, Neil Clarkson wrote:
> On Ubuntu,
> there are still some issues with 64 bit (getting 3rd party apps to work
> IMO) and PAE means that the 32 bit can (in most cases) address the
> memory above 4G in your system just fine.

May you provide an example of a third party application that doesnt run
under Ubuntu 64-bit?

Thank you,

--
Ioannis Vranos

C95 / C++03 Software Developer

http://www.cpp-software.net

>May you provide an example of a third party application that doesnt run
>under Ubuntu 64-bit?
>
>Thank you,
>
>[...]
>C95 / C++03 Software Developer
>
>http://www.cpp-software.net

----
No, Flash doesn't count as an application. I wouldn't call it software ... maybe bloatware? =D
To my knowledge, any 32-bit application should be able to run on 64-bit OS, unless it's Flash and/or miscoded.

I still say we should have something like:
"For common systems"
"For advanced users" or "For x64 systems"

It's not like Microsoft didn't recommend Windows Vista x64 to users just because Microsoft VM broke or the IE Box Model was @#$)(@#. I don't install Flash by default anyway. Anyone requiring me to have Flash installed won't have my business. It's called accessibility. I always have a Windows sandbox just for Flash though, so it can play nice by itself.

Olli Niemi (olliniem) wrote :

This is too funny. I have Lucid Lynx installed in 64-bit version. I installed it when it came out (then there was no "not recommended" text in downloads). Well now I remember the first thing I did was to use the Alpha Flash player because the default player was really buggy.

Well now I see also the point. For most people the "Operating System" = UI = Teh Internet. For most people the purpose is to just use the computer, not manually patch their system. The text is there to scare away the average Joes who need Youtube and other Flash sites daily.

I think the warning is justified but it also scares technical people. The technical people still remember the "64-bit only" problems (drivers etc.). But it also makes sense that because Ubuntu is now "for the masses", the download page is also dumbed down.

What about some http://www.ubuntu-xyz.com/ with unfiltered information for people who can/want to read more than two sentences?

I am using flash with my Ubuntu 10.04 x64 without problems. Some few
times a flash video will not load at the first attempt, and I hit the
Refresh button in Firefox, and it loads OK then.

If the only issue is flash, I think that the text could be changed to
"There are some issues with Adobe Flash in Ubuntu 64-bit".

Also a question. MS provides a 32-bit version of IE under Windows x64,
and Firefox is also 32-bit for them. If I recall correctly, neither
flash nor silverlight work with IE x64.

This means that Ubuntu x64 is actually superior, because flash works
with Firefox x64 in most cases (for me in all cases).

Perhaps something similar can be done in Ubuntu, that is provide Firefox
32-bit, so as Adobe Flash to work OK?

The Flash problems with the amd64 install differ from computer to computer. I remember for me there were serious performance issues, focus problems, buttons in didn't work etc. Then there were those cases when some Flash worked correctly and another Flash didn't.

I have been using the sevenmachines/ppa Flash player instead and it has zero problems. Everything just works for me and for people I know. Unfortunately: "Adobe has removed their 64 bit plugin for linux. It can be expected that this plugin may well suffer from (at least) the recent severe security flaw (as of 11/06/2010) and as such should probably not be used unless you are aware of the problem. I'll leave the package on this site but please remember, DO NOT USE THIS PACKAGE UNLESS YOU UNDERSTAND THE DANGERS!".

So, let's face it: for many, if not most this is a big problem. The "daily desktop usage" is about usage patterns including the use of browser, internet, Flash etc. I could play only Nethack in text mode and say "HAHA bad luck use HTML5" or "use lynx!". This scares the users away even more.

I am one of those people who could patch the systems manually. Even willing to do it with clear instructions. But as this is not recommended anymore and Adobe has pulled the plug, I can now see the download warning text *really* is justified.

Alan Bell (alanbell) wrote :

I just installed the Maverick daily image in a 64bit virtualbox VM (on a 32 bit Maverick host) and went to youtube, from there I ended up at the adobe site which guided me to apt:adobe-flashplugin?channel=$distro-partner as archive.canonical.com does not have adobe-flashplugin in the maverick partner repo this ended up failing with "adobe-flashplugin is virtual" which is clearly non-optimal, however this would be an equally big fail on 32 bit as it is on 64 bit. I will file a separate bug for that. I then installed flashplugin-installer which worked fine, restarted the browser and then youtube videos worked perfectly fine and smooth with perfect audio. Flash does work on 64bit. I am unaware of any issues with it that don't also occur in 32 bit. I don't think conversations about historic issues with drivers and flash on 64bit have any relevance to this bug. What we need to do is check in 10.10 and find all the third party applications we can think of that might have an issue and test them and see if we can find anything which breaks in 64 bit which is less broken in 32 bit.
I then went to bbc.co.uk and checked the streaming flash iPlayer, which worked fine, then installed the iPlayer desktop client which is an adobe air application. It went through the install process and seems to run just fine, playing live TV worked, downloading programmes worked.
I then went to skype.com and downloaded the 64 bit client for Ubuntu 8.10+, the .deb file opened in Software Centre and installed fine. A test call worked fine, although the microphone didn't seem to be active in the virtual machine - can't see that having anything to do with 64 bit.

Alan Bell (alanbell) wrote :

OK, found a reason. adobe-flashplugin is not present in the partner archive for the amd64 architecture http://archive.canonical.com/dists/maverick/partner/binary-amd64/Packages
however it is there for the i386 http://archive.canonical.com/dists/maverick/partner/binary-i386/Packages
which means the "go to youtube, get bounced to adobe, use apturl" method of installing flash is broken on 64 bit, even if flash itself when installed via flashplugin-installer is actually fine.

Benjamin Drung (bdrung) wrote :

Instead of not recommending amd64, i386 should be recommended and amd64 should have a notice like "You need to know what are you doing" or "If you encounter problems, try i386".

There was recently bug #410407 that made flash unusable, which only affects amd64 IIRC.

There has been a workaround for bug 410407 for a long time, and the
workaround has now been applied as a patch to nspluginwrapper in
maverick.

I know. I have been using this workaround for weeks. It will be uploaded to lucid-proposed and karmic-proposed, too.

Mark Curtis (merkinman) wrote :

I realize it's an alpha, but Adobe released a new 64-bit version of their Flash player.
http://labs.adobe.com/technologies/flashplayer10/
Hopefully that will eventually put to rest those that claim Flash alone is a reason to have 64-bit "not recommended"

Soul-Sing (soulzing) wrote :

there is and was a Adobe flash alpha release for 1,5 years for 64 bit linux systems, it is not a recent dev.!
this release performed well imo.

Alan Bell (alanbell) wrote :

I would say this is fixed, for the release candidate of Maverick the text reads:

PC (Intel x86) alternate install CD
    For almost all PCs. This includes most machines with Intel/AMD/etc type processors and almost all computers that run Microsoft Windows, as well as newer Apple Macintosh systems based on Intel processors. Choose this if you are at all unsure.
64-bit PC (AMD64) alternate install CD
    Choose this to take full advantage of computers based on the AMD64 or EM64T architecture (e.g., Athlon64, Opteron, EM64T Xeon, Core 2). If you have a non-64-bit processor made by AMD, or if you need full support for 32-bit code, use the Intel x86 images instead.

Changed in ubuntu-website-content:
status: Confirmed → Fix Committed
Jacob Peddicord (jpeddicord) wrote :

With all respect, Alan, this is about the text on http://www.ubuntu.com/desktop/get-ubuntu/download which reads "64-bit - Not recommended for daily desktop usage" and nothing to do with the RC image pages, which have been the same for many releases.

Changed in ubuntu-website-content:
status: Fix Committed → Confirmed
Alan Bell (alanbell) wrote :

bother, you are quite right, I saw that and thought it was new text that would follow the RC into production.

Selenia (samuraihell666) wrote :

Seriously, you guys need to get moving and change this. I decided to go with Kubuntu for a new desktop, but was pondering the possibility of Ubuntu and opened up the download page. I have been using Linux for many years and seeing that message next to 64-bit almost made me consider another distro, as there is no way I would run 32-bit on a Core i7 with 8GB of RAM. That is, until I researched it and found it to just be utter BS. Imagine what a relative newbie who wants to unleash the power of their system might do. That's right! They will likely move along, if they have any concept of 32-bit vs 64-bit(most at least know more is usually better). Anyways, I did end up installing the Kubuntu CD I had already made for a laptop before. As usual, no problems. Just the usual 32-bit compiled programs needing some libs(big deal). Maybe a link next to the download explaining the potential complications(not running on 32-bit machines, needing some extra libs yada, yada) might be in order. However, how it reads now definitely gives the wrong impression, even to a long-time *nix user. I actually did think maybe a serious bug was found in 64-bit, by the way that read.

Matthew Nuzum (newz) wrote :

The wording is being changed for 10.10 release day. It is going to be something like:
[ x ] 32 bit (recommended)
[ ] 64 bit

The reason is that we want people to have a great experience even if they read nothing and just hit the giant orange "download button." All form fields are defaulted so that people will get a sane and usable experience without having to make a decision.

Let me re-iterate that there are two separate conversations going on here:

 1. The website pushes people to 32bit in a way that bothers some
 2. 32bit Ubuntu desktop is or isn't simpler to run and configure for new users than 64bit Ubuntu

This bug is about point #1. If you want to make 64bit Ubuntu better or discuss anything related to point #2 than this bug is not the place to discuss it.

Changed in ubuntu-website-content:
status: Confirmed → In Progress
Mark Curtis (merkinman) wrote :

Would "explain to the user the difference between 32bit and 64bit" and/or "explain to the user WHY 32 is by default" be for this bug since I mentioned both in the original description?

Soul-Sing (soulzing) wrote :

#2 is related to #1, because members do seek a reason/reasons why its (the "warning") on the website at all. The reason should be explained imo. Without an explanation, members speculate for reasons that make sense.

Matthew Nuzum (newz) wrote :

Merk: for users who wish to know there is ample opportunity for them to read or enquire. A good web page decides what it's purpose in life is and then does that with excellence. This web page's purpose is to deliver Ubuntu to its users. Explaining about 32bit and 64bit is not this page's purpose. More text and more decisions do not make a web-page better.

Maybe what should be done is either a new page is created or this page is updated: https://help.ubuntu.com/community/32bit_and_64bit to explain the things to consider when choosing between 32b and 64b. It would need to start out in a non-technical fashion and be broadly understandable and erring in the side of caution. For those interested in helping with this, a draft can be made at https://wiki.ubuntu.com/Website/Content/HelpMeChooseArch

Then a "help me choose" link can be placed on the download page.

Mark Curtis (merkinman) wrote :

A separate link (which is linked on the download page) is fine. I didn't mean that it should all be explaned on the download page.
The only issue with linking to the wiki is it currently reads:

"What should I choose - 32 or 64 bit?
Unless you have specific reasons to choose 32-bit, we recommend 64-bit. "

So a user will see on ubuntu.com/download "32 bit (recommended)", yet should they look into more info, they'll see the opposite, recommending 64bit.

If, instead, a new page is created, it could then spell out why 32bit is recommended. So far throughout this bug the only reason I've seen is Flash.

Download full text (3.4 KiB)

Hello to you all,
I'm CitizenKane - the originator of this question - and I would like to
thank you all for your continued concern.
Since I posed the question on the forum, I tried closing the discussion by
accepting the explanation that "getlibs" was a sufficient answer to run 32
bit apps on the 64bit Ubuntu as a technical precaution.
However ...
Since I have downloaded the 64bit and installed it as a dual boot on my Dell
Desktop (8gb ram, 1gb Nvidia graphics, 1 tb HD) I have experiences some
major hardware difficulties and OS glitches.
After installing the Nvidia proprietary drivers for Linux, it has difficulty
maintaining dual monitor displays and 1080p resolution and will default to
single, basic resolution unless I reactivate the X display.
I have a 7.1 surround theater speaker system which it does not recognize.
Program gltches such as Orca speech /w Speech Distributor engine has no
'Betty', ....
So far, the experience could be described as 'Malfunction Junction' - so -
until these bugs are worked out, I suggest to continue with even a stronger
warning and explanation for 64bit.
Thanks for your continued interest,

----- Original Message -----
From: "Matthew Nuzum" <email address hidden>
To: <email address hidden>
Sent: Monday, October 04, 2010 7:03 AM
Subject: [Bug 585940] Re: Text reads "not recommended" for 64-bit

The wording is being changed for 10.10 release day. It is going to be
something like:
[ x ] 32 bit (recommended)
[ ] 64 bit

The reason is that we want people to have a great experience even if
they read nothing and just hit the giant orange "download button." All
form fields are defaulted so that people will get a sane and usable
experience without having to make a decision.

Let me re-iterate that there are two separate conversations going on
here:

 1. The website pushes people to 32bit in a way that bothers some
 2. 32bit Ubuntu desktop is or isn't simpler to run and configure for new
users than 64bit Ubuntu

This bug is about point #1. If you want to make 64bit Ubuntu better or
discuss anything related to point #2 than this bug is not the place to
discuss it.

** Changed in: ubuntu-website-content
       Status: Confirmed => In Progress

--
Text reads "not recommended" for 64-bit
https://bugs.launchpad.net/bugs/585940
You received this bug notification because you are a direct subscriber
of the bug.

Status in Ubuntu Website Content: In Progress

Bug description:
On http://www.ubuntu.com/desktop/get-ubuntu/download it shows the options
for 32bit and 64bit

32-bit - Recommended for most users
64-bit - Not recommended for daily desktop usage

Why is 64-bit not recommended? I've used it for years and aside from
netbooks (whose users would most likely choose UNE) I don't know if any
computer released in the last few years that doesn't support 64-bit.

Unlike Microsoft's webpage for Windows 7, Ubuntu.com doesn't even an
explanation as to the differences between 32 and 64-bit operating systems,
nor how a user could tell if they can run it.
Apple even shows 64-bit as a positive bullet point in its Snow Leopard, why
is Ubuntu treating 64-bit like a beta?

I understand there should be some precauti...

Read more...

Merk, it is never as easy as it appears on the surface. :-(

We don't recommend 64bit on desktops when the simplest user experience is desired. We DO recommend 64bit on servers (it is checked by default there).

Mark Curtis (merkinman) wrote :

How does 32bit provide "the simplest user experience"?
That doesn't necessarily have to be answered here, though I would like it to be. Instead, if that's Canonical's reasoning for recommending 32 over 64 then explain it to the user on that new/edited comparison page.

Seriously ...
I think it is more than just wording or the Microsoft way of deflecting
attention to problems.
My first dual boot was back in 2001 with RedHat ... heck, I've even loaded a
router module on floppy and ran it on an old 486 for a homemade router. I've
been a developer just as long and I TOTALLY agree with the author of this
recent article - http://www.asymco.com/2010/09/29/unixs-revenge/

but, if Ubuntu is to take it's rightful pace on users desktops, then these
issues have to be addresses and resolved in an open and traditionally Linux
successful way - not swept under

----- Original Message -----
From: "Matthew Nuzum" <email address hidden>
To: <email address hidden>
Sent: Monday, October 04, 2010 8:15 AM
Subject: [Bug 585940] Re: Text reads "not recommended" for 64-bit

Merk, it is never as easy as it appears on the surface. :-(

We don't recommend 64bit on desktops when the simplest user experience
is desired. We DO recommend 64bit on servers (it is checked by default
there).

--
Text reads "not recommended" for 64-bit
https://bugs.launchpad.net/bugs/585940
You received this bug notification because you are a direct subscriber
of the bug.

Status in Ubuntu Website Content: In Progress

Bug description:
On http://www.ubuntu.com/desktop/get-ubuntu/download it shows the options
for 32bit and 64bit

32-bit - Recommended for most users
64-bit - Not recommended for daily desktop usage

Why is 64-bit not recommended? I've used it for years and aside from
netbooks (whose users would most likely choose UNE) I don't know if any
computer released in the last few years that doesn't support 64-bit.

Unlike Microsoft's webpage for Windows 7, Ubuntu.com doesn't even an
explanation as to the differences between 32 and 64-bit operating systems,
nor how a user could tell if they can run it.
Apple even shows 64-bit as a positive bullet point in its Snow Leopard, why
is Ubuntu treating 64-bit like a beta?

I understand there should be some precaution since the user may have a
computer that doesn't run 64-bit, but I think the wording "not recommended
for daily desktop usage" is poor.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu-website-content/+bug/585940/+subscribe

I've created this page as per Matt's comment #111:
https://wiki.ubuntu.com/Website/Content/HelpMeChooseArch

I don't consider it final, but focused on 3 things:
- Making sure people understand which installer works where
- Linking to known 64-bit issues in the releases notes
- Having consistency between the download page and release/cdimages pages

In my duties as a support analyst I am updating & reviewing the release notes here:
https://wiki.ubuntu.com/MaverickMeerkat/TechnicalOverview#64-bit

I hope this helps advance resolution of this bug, we only have a few days until release.

Bilal Akhtar (bilalakhtar) wrote :

The maverick website update brings a drop-down box that has two options:
32-bit (recommended)
64-bit

As we can see, 32-bit is still being recommended above, but nothing about the 64-bit version is being mentioned. Hence, I think this is fixed now.

Changed in ubuntu-website-content:
status: In Progress → Fix Released
Olli Niemi (olliniem) wrote :

I've been testing the default flash plugin in Maverick/64bit desktop (the plugin it suggests to install when first starting to browse flash content). It works much better than in Lucid when Lucid was introduced. Occasional lockups and browser killing is necessary if doing something CPU intensive at the same time and the focus is not in the browser. But anyway much better than previously.

On Thu, 2010-10-14 at 06:42 +0000, Olli Niemi wrote:
> I've been testing the default flash plugin in Maverick/64bit desktop
> (the plugin it suggests to install when first starting to browse flash
> content). It works much better than in Lucid when Lucid was introduced.
> Occasional lockups and browser killing is necessary if doing something
> CPU intensive at the same time and the focus is not in the browser. But
> anyway much better than previously.

Have you tested the flash plugin which is available through Synaptic?

I am using Ubuntu 10.04.1 x64 currently, and I am interested in this.

Thanks,

--
Ioannis Vranos

http://www.cpp-software.net

I do not agree with SDonatas who states : "From present marketing perspective, maybe for new users 32 bit version would be better, just because it is less buggy (at least some people say, but I not feel that) and for 32 bit versions it is easy to install native codecs, flash, adobe air, restricted extras etc, But 64 bit is the future and therefore strategically this version is more important"

I totally disagree : I much prefer honesty than misleading marketing one-liners.. Because here, you are putting the "manufacturer" or its marketing strategy at the center of interest, not the end-user. Remember that since several years, we've evolved to a "customer-centric" paradigm... Thus, I understand the reasons as Matthew Nuzum states "We don't recommend 64bit on desktops when the simplest user experience is desired". And I would add "when such a configuration would work flawlessly for any type of system, more over when assuming that many of the average desktop "John-Doe" user will not really know about its own system capability". As such, even "marketing-wise" it's better to recommend the 32bit version since it removes potential hassles and bad user experiences...

However I MUST agree with the dilemma in regards to the wording itself : even if the "not recommended" has been removed near the 64bit selection, the word "recommended" cannot be used for the 32bit OS, since for many users having more than 4GB RAM, it's just a VERY bad recommendation (who would appreciate an OS ditching several Gig$ of RAM or CPU potential - and thus the user's money - in the toilet?)... IMHO, a LINK should be provided near this "recommendation" so as to clarify any doubt.

Here's what such a "recommendation" could fall down to : if you [have or need or plan to have] more than 3GB RAM (say you often use GIMP or video encoding/creation tools), AND you have a 64bit processor AND you don't use a specific program known to have bugs under a 64bit OS, then go for that 64bit OS version. Else, or if you don't know ziltch about the later, you should stick with a 32bit OS.

Download full text (3.7 KiB)

Actually the 32-bit version uses PAE, which is sufficient for home users:

http://en.wikipedia.org/wiki/Physical_Address_Extension,

however 32-bit Ubuntu, still has its limitations, and is not the
native format for 64-bit processors.

On Thu, Jun 16, 2011 at 12:55 AM, HawkFest <email address hidden> wrote:
> I do not agree with SDonatas who states : "From present marketing
> perspective, maybe for new users 32 bit version would be better, just
> because it is less buggy (at least some people say, but I not feel that)
> and for 32 bit versions it is easy to install native codecs, flash,
> adobe air, restricted extras etc, But 64 bit is the future and therefore
> strategically this version is more important"
>
> I totally disagree : I much prefer honesty than misleading marketing
> one-liners.. Because here, you are putting the "manufacturer" or its
> marketing strategy at the center of interest, not the end-user. Remember
> that since several years, we've evolved to a "customer-centric"
> paradigm... Thus, I understand the reasons as Matthew Nuzum states "We
> don't recommend 64bit on desktops when the simplest user experience is
> desired". And I would add "when such a configuration would work
> flawlessly for any type of system, more over when assuming that many of
> the average desktop "John-Doe" user will not really know about its own
> system capability". As such, even "marketing-wise" it's better to
> recommend the 32bit version since it removes potential hassles and bad
> user experiences...
>
> However I MUST agree with the dilemma in regards to the wording itself :
> even if the "not recommended" has been removed near the 64bit selection,
> the word "recommended" cannot be used for the 32bit OS, since for many
> users having more than 4GB RAM, it's just a VERY bad recommendation (who
> would appreciate an OS ditching several Gig$ of RAM or CPU potential -
> and thus the user's money - in the toilet?)... IMHO, a LINK should be
> provided near this "recommendation" so as to clarify any doubt.
>
> Here's what such a "recommendation" could fall down to : if you [have or
> need or plan to have] more than 3GB RAM (say you often use GIMP or video
> encoding/creation tools), AND you have a 64bit processor AND you don't
> use a specific program known to have bugs under a 64bit OS, then go for
> that 64bit OS version. Else, or if you don't know ziltch about the
> later, you should stick with a 32bit OS.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/585940
>
> Title:
>  Text reads "not recommended" for 64-bit
>
> Status in Ubuntu Website Content:
>  Fix Released
>
> Bug description:
>  On http://www.ubuntu.com/desktop/get-ubuntu/download  it shows the
>  options for 32bit and 64bit
>
>  32-bit - Recommended for most users
>  64-bit - Not recommended for daily desktop usage
>
>  Why is 64-bit not recommended? I've used it for years and aside from
>  netbooks (whose users would most likely choose UNE) I don't know if
>  any computer released in the last few years that doesn't support
>  64-bit.
>
>  Unlike Microsoft's webpage for Windows 7, Ubuntu.com doesn't ...

Read more...

Having just done a fresh install of 11.04 64-bit (where everything worked "out of the box" I find any excuses to use 32-bit invalid.

Has *anyone* saying that 32-bit is better actually have any recent experience to back this view up, or are they all just lame out of date excuses based on what was and not what actually is?

Phuah Yee Keat (ykphuah) wrote :

If the reason is to prevent people with 32bit machines having problems with the 64bit Ubuntu, then the specific download button for the specific certified hardware that we can confirm is 64 bit, like mine
http://www.ubuntu.com/certification/hardware/201004-5571

should recommend to download 64 bit instead?

description: updated
summary: - Text reads "not recommended" for 64-bit
+ Misinformation when intended to download the 64-bit edition
description: updated
summary: - Misinformation when intended to download the 64-bit edition
+ Misinformation when intending to download the 64-bit edition

Consider changing the state of this bug, since the released solution doesn't properly address it.

joy23 (shakespear-joy) wrote :

Solution for this is just changed of text nothing more

32 bit (should work on all systems)

64 bit (for compatible computers)
             ---------

Developers should concentrate more on 64 bit computers as lot of the public around are going for it.
The next realease should be able to address such issues. Only when people get stable 64 bit OSes will they even think of shifting also only then will other companies come out with things compatible for 64 bit

AFAIK adobe already has a 64 bit flash ready
java too has shifted to 64 bit.
Hopefully both of them are ready with 64 bit next gen plugins
firefox is already on forefront with new nightlys coming out.

64 bit is definitely better than 32 bit unless 32 bit offers specific speed enhancements for a particular need.
Even win 7 x64 was received by a lot of people just because everything seemed to go faster .
amount of ram will only increase in coming future.
so better to have a 64 bit version comparable in stability to 32 bit version.
In future we could see
32 bit
64 bit (recommended)

Felix Pahl (joriki27) wrote :

This bug should be reopened. The problem described in the original bug description has been somewhat mitigated, but the more serious problem on which the current bug description focuses remains the same: The download page offers no information whatsoever for the reasons behind this recommendation. That makes a *very* bad impression. I just spent half an hour trawling through outdated forum threads before I found this bug thread -- wasted time that could have been saved by a simple link on the download page providing the reasons behind the somewhat surprising recommendation not to use the newest technology.

This bug is blocked right now and no user can reopen it.

YannUbuntu (yannubuntu) wrote :

32bit iso systematically fails on UEFI computers, and the only way to use Ubuntu on such computers is to use the 64-bit iso.

As UEFI is becoming a standard and very common since 2010, 32bit iso should NOT be recommended for recent computers.

See bug #1068648

Dave Sims (drmrgd) wrote :

This bug report needs to be re-opened, or the bug needs to be fixed. I can't count the number of times a user has downloaded the 32-bit version because it's 'recommended', and only after wasting hours trying figure out why UEFI wouldn't work realized that 32-bit doesn't support it. Even worse scenario is the user who spends a lot of time setting up their system only to find out that their total amount of memory wasn't supported by 32-bit, again because of a recommendation that's not based on anything related to their system. If they see recommended, they're going to assume that there was some data (a system scan or something) that supports the claim. This really should be fixed soon.

oldos2er (oldos2er) wrote :

It's really shameful this bug hasn't YET been fixed. I just now answered yet another post in ubuntuforums.org from a potential new user, asking whether they should install 64- or 32-bit.

bwat47 (bwat47) wrote :

If anything it should be changed to recommending 64-bit, as these days only people with legacy hardware should be using 32-bit. There are no longer issues with flash and such, it all works fine with 64 bit now.

Colin O'Brien (insanitybit) wrote :

Still 32bit.

There are two options:
 It should present 64bit as default, or show them side by side with a "Don't know which one to choose? Click here!", giving instructions to determine whether you're running 32bit or 64bit.

32bit is less secure, 32bit can't address as much RAM, and 64bit systems are beginning to outnumber 32bit if they have not overtaken them already.

oldos2er (oldos2er) wrote :

"Fix Released" but nothing on the download page's changed yet?

Tanya Edwards (tanya-edwards) wrote :

The review of these pages will be done as part of the 13.04 release. All your comments will be taken on board. Hopefully you will see an improvement to the page in 13.04 release.

oldos2er (oldos2er) wrote :

This bug is going on three years old! Do you know how many posts (since May 2010) on ubuntuforums.org have asked what is wrong with 64-bit Ubuntu that it is not recommended? And if something's wrong with 64-bit, how can 32-bit be much better?

"Hopefully" a warning will appear directing UEFI users away from 32-bit.

Hi all

I am looking for direction on what the best approach to this may be. I agree with all the comments about 64bit, but how would we direct novice users to the correct version? As expert users, it is easy to choose the 64-bit where it is needed. For novices, who may not know what the difference is, or what their computer supports, 32bit is safer to recommend as it will work on both 32 and 64 bit machines.

I am really interested in how we could solve this problem. Could we provide novice users with the information that need to figure out what is best for them without being overly technical? Is Colin's approach (post 133) the best solution?

Amrit

Alan Bell (alanbell) wrote :

Amrit, are you in a position to work on this? There is a discussion on ubuntu-devel list about it that you might like to join in. Personally I would recommend novice users just use the 64bit CD. This way it will work on modern computers with EFI or BIOS and anything back to the very early Atom netbooks (N200 series, the first round of netbooks). Anything it doesn't work on is way below the recommended spec anyway. Expert users who want to get something up on a really old (pre 2006) computer can choose the 32 bit option if they want - but their machine is not going to give a good experience if it doesn't have hardware 3d and ends up doing unity with llvmpipe. In short, we don't run well on anything that can't do 64 bit so novices should not be going for 32 bit at all.

Tanya Edwards (tanya-edwards) wrote :

Amrit, Alan
As posted above, we (WebTeam inlcuding Amrit) will address this as part of the next release. This will be handled as part of a 'project' and no longer managed through this bug.
Many thanks.

oldos2er (oldos2er) wrote :

It would appear this bug is fixed, and it only took three years! :)
Thank you for finally acting on this.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers